from gpiozero import Buzzer
import time

# Initialisieren des Buzzers mit der BCM-Pin-Nummer
buzzer = Buzzer(24)

print("Buzzer-Test [drücken Sie STRG+C, um den Test zu beenden]")

# Hauptprogrammschleife
try:
    while True:
        print("Buzzer 4 Sekunden an")
        buzzer.on()  # Buzzer einschalten
        time.sleep(4)  # 4 Sekunden warten
        print("Buzzer 2 Sekunden aus")
        buzzer.off()  # Buzzer ausschalten
        time.sleep(2)  # Weitere 2 Sekunden warten

# Aufräumarbeiten nachdem das Programm beendet wurde
except KeyboardInterrupt:
    print("Test wurde vom Benutzer beendet")
    # gpiozero kümmert sich um die Bereinigung, wenn das Skript endet, daher ist kein Aufruf von GPIO.cleanup() nötig.